container=$(buildah from docker.io/library/mariadb:10.6)

buildah config --env MARIADB_ROOT_PASSWORD="legulas" $container
buildah config --env MARIADB_USER="legulas" $container
buildah config --env MARIADB_PASSWORD="legulas" $container
buildah config --env MARIADB_ROOT_HOST="localhost" $container

# Copy configuration
buildah copy $container "$(dirname "$0")/config/mariadb.cnf" /etc/mysql/conf.d/

# Create the user and group
buildah run $container -- groupadd --gid 100000 legulas
buildah run $container -- adduser --no-create-home --uid 100000 --ingroup legulas --disabled-login --disabled-password --gecos "Legulas" legulas

# Finish build
buildah unmount $container
buildah commit $container legulas-mariadb
buildah rm $container
