# Create the pod if it doesn't exist
podman pod exists legulas || podman pod create --name legulas --publish 8080:80

# Create volumes if they don't exist
podman volume exists legulas_database || podman volume create legulas_database
podman volume exists legulas_socket_php || podman volume create legulas_socket_php
podman volume exists legulas_socket_mariadb || podman volume create legulas_socket_mariadb

# Build the images if they don't exist
podman image exists localhost/legulas-httpd || sh ../build/httpd/build.sh
podman image exists localhost/legulas-php || sh ../build/php/build.sh
podman image exists localhost/legulas-mariadb || sh ../build/mariadb/build.sh

# Start the containers if they haven't been started already
sh ./containers/mariadb.sh
sh ./containers/php.sh
sh ./containers/httpd.sh
